aboutsummaryrefslogtreecommitdiffstats
path: root/lfs.sh
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-04-02 11:32:58 -0500
committerWilliam Harrington <kb0iic@berzerkula.org>2021-04-02 11:32:58 -0500
commite2547734fd91c35bf3eaac1d9486b0f3c2877192 (patch)
tree95c62c3c82c684b8dac2a85712c50c3fc413b8b9 /lfs.sh
parent5613c139acabd18c525cfc48a157f368ceb296de (diff)
Exit if copying required scripts and other files fails.
Diffstat (limited to 'lfs.sh')
-rwxr-xr-xlfs.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/lfs.sh b/lfs.sh
index 2403870..e5aba2d 100755
--- a/lfs.sh
+++ b/lfs.sh
@@ -91,9 +91,14 @@ esac
# Copy scripts and csv files to LFS sources target
printf "%b" "${GRN}Copying required files to ${YLW}${LFS}/sources \
-${GRN}target directory...${RST}\n"
+${GRN}target directory... ${RST}"
+
+if ! cp -rf ./*.sh chapter* ./*.csv "${LFS}/sources"; then
+ printf "%b" "${IRED}FAILED!${RST}\n"
+else
+ printf "%b" "${GRN}OK${RST}\n"
+fi
-cp -rf ./*.sh chapter* ./*.csv "${LFS}/sources"
cd "${LFS}/sources" || exit 1
# Download packages and patches